Index: main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 7694)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 7707)
@@ -36,5 +36,5 @@
     """
     code = schema.TextLine(
-        title = u'Code',
+        title = _(u'Code'),
         default = u'NA',
         required = True,
@@ -43,11 +43,11 @@
 
     title = schema.TextLine(
-        title = _(u'name_of_faculty', default=u'Name of faculty'),
-        default = u'Unnamed',
+        title = _(u'Name of faculty'),
+        default = _(u'Unnamed'),
         required = True,
         )
 
     title_prefix = schema.Choice(
-        title = u'Name prefix',
+        title = _(u'Name prefix'),
         default = u'faculty',
         source = InstTypeSource(),
@@ -64,6 +64,6 @@
     """
     code = schema.TextLine(
-        title = u'Code',
-        description = u'This code will become part of the URL.',
+        title = _(u'Code'),
+        description = _(u'This code will become part of the URL.'),
         default = u'NA',
         required = True,
@@ -84,5 +84,5 @@
     """
     code = schema.TextLine(
-        title = u'Code',
+        title = _(u'Code'),
         default = u'NA',
         required = True,
@@ -91,11 +91,11 @@
 
     title = schema.TextLine(
-        title = u'Name of department',
-        default = u'Unnamed',
+        title = _(u'Name of department'),
+        default = _(u'Unnamed'),
         required = True,
         )
 
     title_prefix = schema.Choice(
-        title = u'Name prefix',
+        title = _(u'Name prefix'),
         source = InstTypeSource(),
         default = u'department',
@@ -115,6 +115,6 @@
     """
     code = schema.TextLine(
-        title = u'Code',
-        description = u'This code will become part of the URL.',
+        title = _(u'Code'),
+        description = _(u'This code will become part of the URL.'),
         default = u'NA',
         required = True,
@@ -137,5 +137,5 @@
     """
     code = schema.TextLine(
-        title = u'Code',
+        title = _(u'Code'),
         default = u'NA',
         required = True,
@@ -144,11 +144,11 @@
 
     title = schema.TextLine(
-        title = u'Title of course',
-        default = u'Unnamed',
+        title = _(u'Title of course'),
+        default = _(u'Unnamed'),
         required = True,
         )
 
     credits = schema.Int(
-        title = u'Credits',
+        title = _(u'Credits'),
         default = 0,
         required = False,
@@ -156,5 +156,5 @@
 
     passmark = schema.Int(
-        title = u'Passmark',
+        title = _(u'Passmark'),
         default = 40,
         required = False,
@@ -162,5 +162,5 @@
 
     semester = schema.Choice(
-        title = u'Semester/Term',
+        title = _(u'Semester/Term'),
         default = 9,
         source = SemesterSource(),
@@ -177,6 +177,6 @@
     """
     code = schema.TextLine(
-        title = u'Code',
-        description = u'Enter unique course code which will become part of the URL.',
+        title = _(u'Code'),
+        description = _(u'Enter unique course code which will become part of the URL.'),
         default = u'NA',
         required = True,
@@ -190,5 +190,5 @@
     """
     code = schema.TextLine(
-        title = u'Code',
+        title = _(u'Code'),
         default = u'NA',
         required = True,
@@ -197,11 +197,11 @@
 
     title = schema.TextLine(
-        title = u'Title',
-        default = u'Unnamed',
+        title = _(u'Title'),
+        default = _(u'Unnamed'),
         required = True,
         )
 
     study_mode = schema.Choice(
-        title = u'Study Mode',
+        title = _(u'Study Mode'),
         source = StudyModeSource(),
         default = u'ug_ft',
@@ -210,5 +210,5 @@
 
     start_level = schema.Choice(
-        title = u'Start Level',
+        title = _(u'Start Level'),
         vocabulary = course_levels,
         default = 100,
@@ -217,5 +217,5 @@
 
     end_level = schema.Choice(
-        title = u'End Level',
+        title = _(u'End Level'),
         vocabulary = course_levels,
         default = 500,
@@ -224,5 +224,5 @@
 
     application_category = schema.Choice(
-        title = u'Application Category',
+        title = _(u'Application Category'),
         source = AppCatSource(),
         default = u'basic',
@@ -239,7 +239,7 @@
     """
     code = schema.TextLine(
-        title = u'Code',
-        default = u'NA',
-        description = u'Enter unique certificate code which will become part of the URL.',
+        title = _(u'Code'),
+        default = u'NA',
+        description = _(u'Enter unique certificate code which will become part of the URL.'),
         required = True,
         readonly = False,
@@ -262,5 +262,5 @@
     """
     course = schema.Choice(
-        title = u'Course referrer',
+        title = _(u'Course Referrer'),
         source = CourseSource(),
         readonly = True,
@@ -268,5 +268,5 @@
 
     level = schema.Choice(
-        title = u'Level',
+        title = _(u'Level'),
         required = True,
         vocabulary = course_levels,
@@ -275,5 +275,5 @@
 
     mandatory = schema.Bool(
-        title = u'Is mandatory course (not elective)',
+        title = _(u'Is mandatory course (not elective)'),
         required = True,
         default = True,
@@ -297,5 +297,5 @@
     """
     course = schema.Choice(
-        title = u'Course',
+        title = _(u'Course'),
         source = CourseSource(),
         readonly = False,
